package com.scpyun.platform.jilinsscgsdp.enums;

public class HierarchyTypeEnums {

    public enum hierarchyEnumGrad {


        hierarchy1("2", 6), //省等级 省流程层级
        hierarchy2("3", 5),
        hierarchy3("4", 4),
        hierarchy4("5", 3),
        hierarchy5("6", 2),
        ;
        private String code1;
        private Integer code2;

        hierarchyEnumGrad(String code1, Integer code2) {
            this.code1 = code1;
            this.code2 = code2;
        }

        public static Integer getHierarchyGrade(String code1) {
            for (hierarchyEnumGrad value : values()) {
                if (value.code1.equals(code1)) {
                    return value.code2;
                }
            }
            return 0;
        }

        public static String getGradeHierarchy(String code1) {
            for (hierarchyEnumGrad value : values()) {
                if (value.code2.equals(code1)) {
                    return value.code1;
                }
            }
            return "";
        }
    }

}
